<!----------------------------------------------------------------------------------------------------------------------
  -- Site Header
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <BNavbar v-b-color-mode="'dark'" toggleable="md" variant="dark-subtle" sticky="top">
        <BNavbarBrand to="/">
            <img src="/images/logo.png" height="32px" style="display: inline-block; margin-top: -5px" alt="logo">
            SST
        </BNavbarBrand>
        <BNavbarNav>
            <BNavItem to="/requests/">
                Requests
            </BNavItem>
        </BNavbarNav>
        <BNavbarNav class="ms-auto">
            <ColorModeDropdown />
            <EnvDropdown />
            <Login v-if="authEnabled" />
        </BNavbarNav>
    </BNavbar>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<script lang="ts" setup>
    import { useObservable } from '../../lib/composables/rxjs.js';

    // Managers
    import authMan from '../../lib/managers/auth.js';

    // Components
    import EnvDropdown from '../environments/envDropdown.vue';
    import Login from './loginWidget.vue';
    import ColorModeDropdown from './colorModeDropdown.vue';

    //------------------------------------------------------------------------------------------------------------------
    // Observables
    //------------------------------------------------------------------------------------------------------------------

    const authEnabled = useObservable(authMan.authEnabled$);
</script>

<!--------------------------------------------------------------------------------------------------------------------->

